#include "mbed.h"
#include "PCF8591.h"
 
//I2C Bus
I2C i2c_bus(P0_5, P0_4);   // SDA, SCL for TG-LPC11U35-501
PCF8591_AnalogOut anaOut(&i2c_bus, PCF8591_SA1);
PCF8591_AnalogIn anaIn(&i2c_bus, PCF8591_ADC0, PCF8591_SA1);

Serial pc(P0_19, P0_18); // tx, rx

int main() {
    float ana;
    float VDD = 3.27;  
    pc.printf("\r\nHello World from TG-LPC11U35-501\r\n");
 
    while(1) {
        wait_ms(1000);        
        ana = anaIn;              // read A/D value for Channel 1 (potmeter)       
        pc.printf("%2.2f ", ana*VDD);              
        anaOut = ana;             // write back A/D value to D/A Channel 
    }
}
 